<?xml version="1.0" encoding="UTF-8"?>

<!--
  Set these VM properties in your IDE debugger

  -Djava.util.logging.manager=org.jboss.logmanager.LogManager
  -Djboss.home=${workspace_loc:jboss-as-build}/target/jboss-as-8.0.0.Alpha4-SNAPSHOT
  -DallowConnectingToRunningServer=true
-->
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.wildfly</groupId>
        <artifactId>wildfly-ts-integ</artifactId>
        <version>10.0.0.Final</version>
    </parent>

    <!-- ********************************************************************************** -->
    <!-- ******************************** WS Integration ********************************** -->
    <!-- ********************************************************************************** -->
    <artifactId>wildfly-ts-integ-ws</artifactId>

    <name>WildFly Test Suite: Integration - WS</name>

    <properties>
        <jbossas.ts.integ.dir>${basedir}/..</jbossas.ts.integ.dir>
    </properties>

    <profiles>

        <profile>
            <id>ws.integration.tests.profile</id>
            <activation>
                <property>
                    <name>!no.ws.integration.tests</name>
                </property>
            </activation>

            <!--
                Server configuration executions.
            -->
            <build>
                <plugins>

                    <!-- Build the target/jbossas server configuration. -->
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-antrun-plugin</artifactId>
                        <executions>
                            <!-- Copy in some jars. -->
                            <execution>
                                <id>prepare-jars-ws-integration.server</id>
                                <phase>process-test-resources</phase>
                                <goals>
                                    <goal>run</goal>
                                </goals>
                                <configuration>
                                    <target>
                                        <property name="tests.resources.dir" value="${basedir}/../src/test/resources"/>
                                        <property name="tests.output.dir" value="${project.build.directory}"/>
                                        <ant antfile="${basedir}/../src/test/scripts/ws-integration-build.xml">
                                            <target name="build-ws-integration"/>
                                            <!-- TODO: Unify names, then call "recursively". -->
                                        </ant>
                                    </target>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>

                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <configuration>
                            <runOrder>alphabetical</runOrder>
                        </configuration>
                        <executions combine.children="append">

                            <!-- Disable default-test execution. -->
                            <execution>
                                <id>default-test</id>
                                <goals>
                                    <goal>test</goal>
                                </goals>
                                <phase>none</phase>
                            </execution>

                            <execution>
                                <id>ws-integration-default.surefire</id>
                                <phase>test</phase>
                                <goals>
                                    <goal>test</goal>
                                </goals>
                                <configuration>
                                    <environmentVariables>
                                        <JBOSS_HOME>${jboss.dist}</JBOSS_HOME>
                                    </environmentVariables>

                                    <!-- Parameters to test cases. -->
                                    <systemPropertyVariables combine.children="append">
                                        <jboss.server.config.file.name>standalone.xml</jboss.server.config.file.name>
                                        <jboss.inst>${basedir}/target/jbossas</jboss.inst>
                                        <!-- EJB client library hack, see WFLY-4973-->
                                        <org.jboss.ejb.client.wildfly-testsuite-hack>true</org.jboss.ejb.client.wildfly-testsuite-hack>

                                        <!-- SSL settings -->
                                        <cxf.tls-client.disableCNCheck>true</cxf.tls-client.disableCNCheck>
                                        <javax.net.ssl.trustStore>${project.build.testOutputDirectory}/org/jboss/as/test/integration/ws/wsse/trust/test.truststore</javax.net.ssl.trustStore>
                                        <javax.net.ssl.trustStorePassword>changeit</javax.net.ssl.trustStorePassword>
                                        <javax.net.ssl.trustStoreType>jks</javax.net.ssl.trustStoreType>
                                        <javax.net.ssl.keyStore>${project.build.testOutputDirectory}/org/jboss/as/test/integration/ws/wsse/trust/client.keystore</javax.net.ssl.keyStore>
                                        <javax.net.ssl.keyStorePassword>changeit</javax.net.ssl.keyStorePassword>
                                        <javax.net.ssl.keyStoreType>jks</javax.net.ssl.keyStoreType>
                                    </systemPropertyVariables>

                                    <additionalClasspathElements>
                                        <additionalClasspathElement>${project.basedir}/../src/test/resources</additionalClasspathElement>
                                    </additionalClasspathElements>
                                </configuration>
                            </execution>
                        </executions>

                    </plugin>

                </plugins>
            </build>
        </profile>

    </profiles>

</project>
